package zero1hd.polyjet.ui;

import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;

import zero1hd.polyjet.Polyjet;

public class MusicSelectionPage extends Page {
	Image loading;
	
	public MusicSelectionPage(final Polyjet core) {
		super("Select music", core.defaultSkin);

		
		loading = new Image(core.defaultSkin, "loading");
		loading.setPosition((getWidth()-loading.getWidth())/2, (getHeight()-loading.getHeight())/2);
		loading.setOrigin(loading.getWidth()/2, loading.getHeight()/2);
		loading.addAction(Actions.forever(Actions.rotateBy(-360f, 2f)));
		addActor(loading);
	}
}
